/*                      */
/* Custom Icon Support  */
/*                      */
.qq-icon::before {
  content: "";
  display: inline-block;
  width: 1.2em;
  height: 1.2em;
  vertical-align: -0.2em;

  background-color: currentColor;

  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  -webkit-mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;
  mask-size: contain;
}

.qq-icon-briefcase::before{
  -webkit-mask-image: url("icons/briefcase.svg");
  mask-image: url("icons/briefcase.svg");
}

.qq-icon-calendar::before{
  -webkit-mask-image: url("icons/calendar.svg");
  mask-image: url("icons/calendar.svg");
}

.qq-icon-d20::before {
  -webkit-mask-image: url("icons/d20.svg");
  mask-image: url("icons/d20.svg");
}

.qq-icon-d20-outline::before {
  -webkit-mask-image: url("icons/d20-outline.svg");
  mask-image: url("icons/d20-outline.svg");
}

.qq-icon-hacker::before {
  -webkit-mask-image: url("icons/hacker.svg");
  mask-image: url("icons/hacker.svg");
}

.qq-icon-github::before {
  -webkit-mask-image: url("icons/github.svg");
  mask-image: url("icons/github.svg");
}

.qq-icon-graduation-cap::before {
  -webkit-mask-image: url("icons/graduation-cap.svg");
  mask-image: url("icons/graduation-cap.svg");
}

.qq-icon-id-card::before {
  -webkit-mask-image: url("icons/id-card.svg");
  mask-image: url("icons/id-card.svg");
}

.qq-icon-incognito::before {
  -webkit-mask-image: url("icons/incognito.svg");
  mask-image: url("icons/incognito.svg");
}

.qq-icon-juggle::before {
  -webkit-mask-image: url("icons/juggle.svg");
  mask-image: url("icons/juggle.svg");
}

.qq-icon-knitting::before {
  -webkit-mask-image: url("icons/knitting.svg");
  mask-image: url("icons/knitting.svg");
}

.qq-icon-linkedin::before {
  -webkit-mask-image: url("icons/linkedin.svg");
  mask-image: url("icons/linkedin.svg");
}

.qq-icon-location-marker::before {
  -webkit-mask-image: url("icons/location-marker.svg");
  mask-image: url("icons/location-marker.svg");
}

.qq-icon-location-pin::before {
  -webkit-mask-image: url("icons/location-pin.svg");
  mask-image: url("icons/location-pin.svg");
}

.qq-icon-nomad::before {
  -webkit-mask-image: url("icons/nomad.svg");
  mask-image: url("icons/nomad.svg");
}

.qq-icon-rocketship::before{
  -webkit-mask-image: url("icons/rocketship.svg");
  mask-image: url("icons/rocketship.svg");
}

.qq-icon-terminal::before{
  -webkit-mask-image: url("icons/terminal.svg");
  mask-image: url("icons/terminal.svg");
}

.qq-icon-terraform::before{
  -webkit-mask-image: url("icons/terraform.svg");
  mask-image: url("icons/terraform.svg");
}

.qq-icon-user::before{
  -webkit-mask-image: url("icons/user.svg");
  mask-image: url("icons/user.svg");
}

.qq-icon-www::before {
  -webkit-mask-image: url("icons/www.svg");
  mask-image: url("icons/www.svg");
}

.qq-icon-zig::before {
  -webkit-mask-image: url("icons/zig.svg");
  mask-image: url("icons/zig.svg");
}

